<ion-header no-border>
  <ion-navbar color="danger" style="background-color: transparent">
  </ion-navbar>
</ion-header>
<div
  class="background-image"
  [style.backgroundImage]="'url(' + albumImage + ')'"
></div>

<ion-content style="text-align: center">
  <ion-row style="height: auto">
    <ion-col col-3> </ion-col>

    <ion-col col-6>
      <img-loader useImg class="shadow" src="{{ albumImage }}"></img-loader>
    </ion-col>

    <ion-col col-3> </ion-col>
    <ion-col col-3> </ion-col>

    <ion-col col-6 style="color:black;text-align: center">
      <h4>{{ albumName }}</h4>
      {{ artistName }}
      <br />
      <br />

      <button
        ion-button
        color="danger"
        style="border-radius: 100px;opacity:0.5;background:#faa74a"
        (click)="shuffle()"
        *ngIf="playlists.length > 0"
      >
        {{ 'shuffleAll' | translate }}
      </button>
    </ion-col>

    <ion-col col-3> </ion-col>
  </ion-row>
  <ion-list no-lines style="background-color: transparent">
    <button
      ion-item
      detail-none
      *ngFor="let track of trackss | async; let i = index"
      block
      clear
      style="background-color: transparent;color:black"
    >
      <span item-left (click)="play(i)" style="width: 80%">
        <h2
          [ngClass]="{ playing: track.$key == musicservice.playingTrack.key }"
        >
          <ion-icon
            name="play"
            style="opacity: 0.5"
            *ngIf="track.$key == musicservice.playingTrack.key"
          ></ion-icon>
          {{ track.name }}
        </h2>
      </span>
      <ion-icon
        name="more"
        style="opacity: 0.5"
        (click)="more(track)"
        item-right
      ></ion-icon>
    </button>

    <ion-item
      *ngIf="tracks"
      style="background-color: transparent;color:black"
    ></ion-item>
  </ion-list>
</ion-content>
<ion-footer
  style="background: linear-gradient(to top, rgb(0, 0, 0), rgb(66, 39, 90));"
>
  <div
    *ngIf="tracks"
    style="height: 3px;z-index: 9999;background-color:#faa74a"
    [style.width.%]="musicservice.progress()"
  ></div>

  <ion-row *ngIf="tracks">
    <ion-col col-8 (click)="player()">
      <button ion-button clear block style="color:white;">
        <div class="marquee">
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
        </div>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <audio-track-play light [audioTrack]="tracks"> </audio-track-play>
    </ion-col>
    <ion-col col-2 style="text-align: right">
      <button (click)="next()" ion-button clear style="color:white" icon-only>
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-footer>
